# Variable add_free_variables_to_joinfields

add_free_variables_to_joinfields: (
freeVars: Set<string>,
joinFields: JoinFields,
fields: Field[],
) => void

Add free variables to join fields

#### Type Declaration

- - (freeVars: Set<string>, joinFields: JoinFields, fields: Field[]): void

  - #### Parameters

    - freeVars: Set<string>
    - joinFields: JoinFields
    - fields: Field[]

    #### Returns void

- Defined in packages/saltcorn-data/models/expression.ts:1014